%define module_name App-DocKnot
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(File/BaseDir.pm) perl(File/ShareDir.pm) perl(IPC/System/Simple.pm) perl(JSON.pm) perl(JSON/PP.pm) perl(Module/Build.pm) perl(Perl6/Slurp.pm) perl(Template.pm) perl(Text/Wrap.pm) perl(autodie.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.00
Release: alt1
Summary: Package documentation generator
Group: Development/Perl
License: mit
URL: https://www.eyrie.org/~eagle/software/docknot

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RR/RRA/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
DocKnot is a system for generating consistent human-readable software package
documentation from metadata files, primarily JSON and files containing
documentation snippets.  It takes as input a directory of metadata and a set
of templates and generates a documentation file from the metadata given the
template name.

The path to the metadata directory for a package is given as an explicit
argument to the App::DocKnot constructor.  All other data (currently templates
and license information) is loaded via File::BaseDir and therefore uses XDG
paths by default.  This means that templates and other global configuration
are found by searching the following paths in order:

=over 4

=item 1.

$HOME/.config/docknot

=item 2.

$XDG_CONFIG_DIRS/docknot (/etc/xdg/docknot by default)

=item 3.

Files included in the package.

=back

As noted above, default templates and license files are included with the
App::DocKnot module and are used unless more specific configuration files
exist.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md README LICENSE TODO Changes docs
%perl_vendor_privlib/A*
%_man1dir/*
%perl_vendor_privlib/auto/*
%_bindir/*

%changelog
* Mon Jan 14 2019 Igor Vlasenko <viy@altlinux.ru> 2.00-alt1
- regenerated from template by package builder

* Sat Sep 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.06-alt1
- regenerated from template by package builder

* Wed May 09 2018 Igor Vlasenko <viy@altlinux.ru> 1.05-alt1
- regenerated from template by package builder

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.04-alt1
- regenerated from template by package builder

* Thu Jan 19 2017 Cronbuild Service <cronbuild@altlinux.org> 1.01-alt2
- rebuild to get rid of unmets

* Thu Dec 29 2016 Igor Vlasenko <viy@altlinux.ru> 1.01-alt1
- regenerated from template by package builder

* Tue Nov 01 2016 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1
- initial import by package builder

